//=============================================================================
// AtbGauge.cpp
//=============================================================================
#include "Stdinc.h"
#include "AtbGauge.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CAtbGauge::CAtbGauge(void)
: m_nValue( 0 )
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CAtbGauge::~CAtbGauge(void)
{
}
//-----------------------------------------------------------------------------
// SetValue
// ATBlݒ
//-----------------------------------------------------------------------------
void CAtbGauge::SetValue( int nValue )
{
	// őŏ`FbN
	if ( ATB_VALUE_MAX < nValue )
	{
		m_nValue = ATB_VALUE_MAX;
	}
	else if ( nValue < ATB_VALUE_MIN )
	{
		m_nValue = ATB_VALUE_MIN;
	}
	else
	{
		m_nValue = nValue;
	}
}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CAtbGauge::Create( int iPosX, int iPosY )
{
	m_nPosX = iPosX;
	m_nPosY = iPosY;

	// t[Gǂݍ
	char szFileName[MAX_PATH];
	sprintf_s( szFileName, "%s\\%s", GRAPHS_SYSTEM_DATA_DIR, ATB_GAUGE_FILE_NAME );
	m_nHandle = LoadGraph( szFileName ) ;
	if ( m_nHandle == DX_FAILED )
	{
		CSysUtil::Msg("摜ǂݍݎs [%s]", szFileName);
		return FALSE;
	}

	SetValue( 0 );

	return TRUE;
}
//-----------------------------------------------------------------------------
// Delete
// 폜
//-----------------------------------------------------------------------------
void CAtbGauge::Delete( void )
{
	DeleteGraph( m_nHandle );
}
//-----------------------------------------------------------------------------
// Render
// _O
//-----------------------------------------------------------------------------
void CAtbGauge::Render( void )
{
	// Q[Wl`
	int iPosY;
	int iPosLeft;
	if ( ATB_VALUE_MAX <= m_nValue )
	{	// MAX
		iPosY = m_nPosY + 3;
		iPosLeft = m_nPosX + ATB_VALUE_X_POS_AT_MIN;

		DrawLine( iPosLeft, iPosY, iPosLeft + ATB_VALUE_X_POS_AT_MAX, iPosY, MAX_ATB_VALUE_COLOR, 1 );
	}
	else
	{	// MAXȊO
		iPosY = m_nPosY + 4;
		iPosLeft = m_nPosX + ATB_VALUE_X_POS_AT_MIN;
		int iPosRight = (int)(m_nValue * (double)(ATB_VALUE_X_POS_AT_MAX - ATB_VALUE_X_POS_AT_MIN) / 100.0f);

		DrawLine( iPosLeft , iPosY, iPosLeft + iPosRight, iPosY, ATB_VALUE_COLOR_BK, 3 );

		iPosY -= 1;
		DrawLine( iPosLeft , iPosY, iPosLeft + iPosRight, iPosY, ATB_VALUE_COLOR_FR, 1 );
	}

	// g`
	DrawGraph( m_nPosX, m_nPosY, m_nHandle, TRUE );
}
