//=============================================================================
// BattleCursorManager.h
//=============================================================================
#pragma once
#include <vector>

class CCursor;
class CManipulator;
class CEnemy;
class CPlayerParty;
class CBattle;
//-----------------------------------------------------------------------------
// CBattleCursorManager
//-----------------------------------------------------------------------------
class CBattleCursorManager
{
enum{
	SELECT_MODE_ENEMY = 0,
	SELECT_MODE_PLAYER = 1,
};
protected:
	CCursor					*m_pCursor;			// \pJ[\ (Q)
	std::vector<CEnemy *>	m_lstEnemy;
	CPlayerParty			*m_pPlayerParty;
	CBattle					*m_pParent;

	int				m_nSelMode;
	int				m_nEnemyCursorIndex;	// GIʒu
	int				m_nPlayerCursorIndex;	// Iʒu

	int				m_nDispPosX;
	int				m_nDispPosY;
public:
	CBattleCursorManager(void);
	virtual ~CBattleCursorManager(void);

	BOOL Initialize( std::vector<CEnemy *> &lstEnemy, CPlayerParty *pPlayerParty, CBattle *pParent );
	void Finalize( void );

	// XV
	void FrameMove( const CManipulator *pMani );

	// `
	void Render( void );

	// L[͂ɂJ[\ʒuݒ
	BOOL SetEnemyCursorOnKey( int nKeyCode );

	// J[\ʒu
	void AdjustEnemyCursorIndex( void );
};

