//=============================================================================
// CoWndManager.h
//=============================================================================
#pragma once
#include <list>
#include "Drawable.h"

class CFrameWindow;
class CManipulator;
class CMenuWindow;
//-----------------------------------------------------------------------------
// CCoWndManager
//-----------------------------------------------------------------------------
class CCoWndManager : public CDrawable
{
protected:
	CFrameWindow *m_pWndLastFocused;

	// \EBhE ǗXg
	std::list<CFrameWindow *> m_lstCoWindow;

	// tH[JXؑ
	CMenuWindow	*m_pNewFocusWnd;

public:
	CCoWndManager(void);
	virtual ~CCoWndManager(void);

	void SetVisible( BOOL bFlag );

	virtual BOOL Create( void ) = 0;				// 
	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );							// `
	virtual void Delete( void ) = 0;				// j

	virtual void ChangeFocus( CMenuWindow *pNewFocusWnd );

	// qEBhẼj[ʒm
	virtual void NotifyDecideKey( CFrameWindow *pWnd, int nMenuID ) = 0;

	// qEBhẼLZ{^ʒm
	virtual void NotifyCancelKey( CFrameWindow *pWnd ) = 0;
};
