//=============================================================================
// Effect.h
//=============================================================================
#pragma once

//-----------------------------------------------------------------------------
// CEffect
//-----------------------------------------------------------------------------
class CEffect
{
protected:
	int		m_nEffectType;		// GtFNg̎

	DWORD	m_dwFadeColor;		// tF[hF
	UINT	m_nFrameCnt;		// t[JE^
	UINT	m_nStartFrameCnt;	// Jnt[

	int		m_nShakeOffset;		// ʗh炵sNZ
	double	m_dblShakeSpeed;	// ʗh炵x
	int		m_nShakeScale;		// ʗh炵傫

	int		m_nHandleRenderTgt;	// _O^[Qbg

public:
	CEffect(void);
	virtual ~CEffect(void);

	// tF[h
	void StartFadeout( DWORD dwFadeColor, UINT nFameCnt );
	void StartFadein( DWORD dwFadeColor, UINT nFameCnt );

	// h炵
	void StartShake( int Type, UINT nFrame, double dblSpeed, int nScale );

	// GJEg
	void StartEncount( void );

	void FrameMove( void ); 	// XV
	void Render( void );		// ʏ`(wT[tF[Xɕ`)

	void PreRender( void );		// S̕`O
	void PostRender( void );	// S̕`㏈

	BOOL IsExecuting( void ) const
	{	return m_nFrameCnt;	};

	int GetShakeOffsetX( void ) const
	{	
		if ( m_nEffectType == EFFECT_TYPE_V_SHAKE )
			return 0;
		else if ( m_nEffectType == EFFECT_TYPE_H_SHAKE )
			return m_nShakeOffset;
		else 
			return 0;
	};
	int GetShakeOffsetY( void ) const
	{	
		if ( m_nEffectType == EFFECT_TYPE_H_SHAKE )
			return 0;
		else if ( m_nEffectType == EFFECT_TYPE_V_SHAKE )
			return m_nShakeOffset;
		else 
			return 0;
	};
};
