//=============================================================================
// Field.cpp
//=============================================================================
#include "Stdinc.h"
#include "Field.h"

// tB[h\[X
typedef struct {
	int nID;
	const char *szFileName;
}stResourceInfoField;

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CField::CField(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CField::~CField(void)
{
}
//-----------------------------------------------------------------------------
// Create
// 
//-----------------------------------------------------------------------------
BOOL CField::Create( int nID )
{
	m_nID = nID;

	char szFileName[MAX_PATH];
	sprintf_s( szFileName, "%s\\%s%02d.png", FILED_DATA_DIR, FILED_FNAME_PREFIX, nID );

	// wiGǂݍ
	m_nHandle = LoadGraph( szFileName ) ;
	if ( m_nHandle == DX_FAILED )
	{
		CSysUtil::Msg("摜ǂݍݎs [%s]", szFileName );
		return FALSE;
	}

	return TRUE;
}
//-----------------------------------------------------------------------------
// Delete
// I
//-----------------------------------------------------------------------------
void CField::Delete( void )
{
	DeleteGraph( m_nHandle );
}

//-----------------------------------------------------------------------------
// Render
// _O
//-----------------------------------------------------------------------------
void CField::Render( void )
{
	// g`
	DrawGraph( 0, 0, m_nHandle, FALSE );
}
