//=============================================================================
// JobAbilityWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "JobAbilityWindow.h"

const stMenuItem JOB_ABILITY_ITEM[] = {
	{   0,  FALSE,	8,  10, "Wu", 0, 0 },
	{   1,  FALSE,	8,  28, "AreB", 0, 0 },
};

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CJobAbilityWindow::CJobAbilityWindow(void)
	: m_bEnabled( TRUE )
{
	m_nType = MENU_TYPE_VERTICAL;	// c^j[
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CJobAbilityWindow::~CJobAbilityWindow(void)
{
}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CJobAbilityWindow::Create( int iPosX, int iPosY, int iWidth, int iHeight )
{
	BOOL bRet = CMenuWindow::Create( iPosX, iPosY, iWidth, iHeight );

	// ACeǉ
	for ( int iCnt = 0; iCnt < sizeof( JOB_ABILITY_ITEM ) / sizeof( JOB_ABILITY_ITEM[0] ); iCnt ++ )
	{
		AddMenuItem( &JOB_ABILITY_ITEM[iCnt] );
	}

	return bRet;
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CJobAbilityWindow::Render( void )
{
	CMenuWindow::Render();

	if ( !m_bEnabled )
	{	// Â
		SetDrawBlendMode( DX_BLENDMODE_ALPHA, 128 );
		DrawBox( m_nPosX, m_nPosY, m_nPosX + m_nWidth, m_nPosY + m_nHeight, GetColor(0,0,0), TRUE );
		SetDrawBlendMode( DX_BLENDMODE_NOBLEND, 255 );
	}
}
