//=============================================================================
// MagicListWindow.h
//=============================================================================
#pragma once
#include "listwindow.h"

class CMagicWindow;
class CManipulator;
//-----------------------------------------------------------------------------
// CMagicListWindow
//-----------------------------------------------------------------------------
class CMagicListWindow : public CListWindow
{
public:
	enum {
		ONE_PAGE_ITEM_COUNT = 3 * 6,
	};

protected:
	CMagicWindow	*m_pParent;					// eEBhE
	CPlayerParty	*m_pPlayerParty;			// v[p[eB (Q)

	BOOL			m_bMagic[MAX_MAGIC_COUNT];		// @

public:
	CMagicListWindow(void);
	virtual ~CMagicListWindow(void);

	void UpdateDispItem( void );

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty, CMagicWindow *pParent );
	void FrameMove( const CManipulator *pMani );
	void Render( void );
};
