//=============================================================================
// MagicSubTypeMenuWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "MagicSubTypeMenuWindow.h"
#include "MagicWindow.h"
#include "Manipulator.h"

const stMenuItem MAGIC_SUB_MENU_ITEM[] = {
	{   CMagicSubTypeMenuWindow::MENU_ID_SUMMON,		TRUE,  6,   8, "傤", 0, 0 },
	{   CMagicSubTypeMenuWindow::MENU_ID_MAGIC_SWORD,	TRUE,  6,  28, "܂ق", 0, 0 },
	{   CMagicSubTypeMenuWindow::MENU_ID_SONG,			TRUE,  6,  48, "", 0, 0 },

};
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CMagicSubTypeMenuWindow::CMagicSubTypeMenuWindow(void)
{
	m_nType = MENU_TYPE_VERTICAL;	// c^j[
	m_bLoopAtEdge = FALSE;
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CMagicSubTypeMenuWindow::~CMagicSubTypeMenuWindow(void)
{
}

//-----------------------------------------------------------------------------
// 
//-----------------------------------------------------------------------------
BOOL CMagicSubTypeMenuWindow::Create( int iPosX, int iPosY, int iWidth, int iHeight, CMagicWindow *pParent )
{
	m_pParent = pParent;

	BOOL bRet = CMenuWindow::Create( iPosX, iPosY, iWidth, iHeight );
	// ACeǉ
	for ( int iCnt = 0; iCnt < sizeof( MAGIC_SUB_MENU_ITEM ) / sizeof( MAGIC_SUB_MENU_ITEM[0] ); iCnt ++ )
	{
		AddMenuItem( &MAGIC_SUB_MENU_ITEM[iCnt] );
	}

	return bRet;
}
//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CMagicSubTypeMenuWindow::FrameMove( const CManipulator *pMani )
{
	if ( !m_bFocused )
		return;

	CMenuWindow::FrameMove( pMani );

	// LZL[
	if ( pMani->CheckKey( KEY_INPUT_Z ) )
	{
		m_pParent->NotifyCancelKey( this );
	}
	else if ( pMani->CheckKey( KEY_INPUT_X ) )
	{
		m_pParent->NotifyDecideKey( this, GetCurPos() );
	}
}
