//=============================================================================
// SysUtil.h
//=============================================================================
#pragma once
#include <lua.hpp>
#include <vector>
//-----------------------------------------------------------------------------
// CSysUtil
//-----------------------------------------------------------------------------
class CSysUtil
{
public:
	static void Halt(const char *inputMsg,...);
	static void Msg(const char *inputMsg,...);

	// u
	static void ReplaceString( char *lpBuff, int nBuffLen, const char *lpzTgt, const char *lpzFind, const char *lpzReplace );

};

class CSysDebug
{
public:
	// LUAX^bN\
	static void printStack(lua_State *L);
	// ActionXg\
	static void printActionList(std::vector<TIMEKEEP_INFO *> &lstAction);

	// Action擾
	static const char *CSysDebug::GetActString( int nActType );

	
	// init@Cǂݍ
	static int GetDebugParam( const char *lpzSec,  const char *lpzKey, int nDefault );

	static void Log( const char *lpzFormat, ... );
};
