//=============================================================================
// ActionList.h
//=============================================================================
#pragma once

//-----------------------------------------------------------------------------
// CActionList
//-----------------------------------------------------------------------------
class CActionList
{
public:
	enum {
		ACT_PLAYER = 0,
		ACT_ENEMY = 1,
	};
protected:
	std::vector<TIMEKEEP_INFO *>	m_lstPlayerAction;	// ANVXg
	std::vector<TIMEKEEP_INFO *>	m_lstEnemyAction;	// GANVXg
	
	UINT				m_nFrameCount;
	BOOL				m_bActing;

	UINT				m_nWaitFrame;

	void RemoveAllAction( void );

public:
	CActionList(void);
	virtual ~CActionList(void);

	BOOL Initialize( void );
	void Finalize( void );

	void FrameMove( void );
	
	// ANVXg
	void Add( int nType, TIMEKEEP_INFO *pInfo );	// ǉ
	void Sort( void );								// \[g

	BOOL IsSomeoneActing( void )
	{	return m_bActing;	};

	void SetSomeoneActing( BOOL bFlag );	// NR}hs


	TIMEKEEP_INFO *PopAction( int nType );	// Ύ擾
};

