//=============================================================================
// CampWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "CampWindow.h"
#include "Manipulator.h"
#include "Game.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CCampWindow::CCampWindow(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CCampWindow::~CCampWindow(void)
{
}

//-----------------------------------------------------------------------------
// 
//-----------------------------------------------------------------------------
BOOL CCampWindow::Create( CPlayerParty *pPlayerParty )
{
	m_pPlayerParty = pPlayerParty;

	// p[eBEBhE
	m_PartyWnd.Create( pPlayerParty, this );
	m_lstCoWindow.push_back( &m_PartyWnd );

	// WuXe[^Xq
	m_JobAbiWnd.Create( 250, 0, 70, 50 );
	m_lstCoWindow.push_back( &m_JobAbiWnd );

	// j[q
	m_MenuWnd.Create( 250, 50, 70, 120, this );	// ʒm
	m_lstCoWindow.push_back( &m_MenuWnd );

	// vCԉ
	m_TimeWnd.Create( 245, 170, 75, 35 );
	m_lstCoWindow.push_back( &m_TimeWnd );

	// \
	m_GillWnd.Create( 240, 205, 80, 35 );
	m_lstCoWindow.push_back( &m_GillWnd );

	//  \
	m_FromationWnd.Create( 250, 0, 70, 28 );
	m_FromationWnd.SetVisible( FALSE );
	m_lstCoWindow.push_back( &m_FromationWnd );

	//  ʏ
	m_wndItem.Create( pPlayerParty, this );		// ACeEBhE
	m_wndItem.SetVisible( FALSE );

	m_wndMagic.Create( pPlayerParty, this );	// @EBhE
	m_wndMagic.SetVisible( FALSE );

	m_wndEquip.Create( pPlayerParty, this );	// EBhE
	m_wndEquip.SetVisible( FALSE );

	m_wndStatus.Create( pPlayerParty, this );	// Xe[^XEBhE
	m_wndStatus.SetVisible( FALSE );

	m_wndSave.Create( pPlayerParty, this );		// Z[uEBhE
	m_wndSave.SetVisible( FALSE );

	// ʒuݒ
	ChangeFocus( &m_MenuWnd );

	return TRUE;
}
//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CCampWindow::FrameMove( const CManipulator *pMani )
{
	// ʍXV
	if ( !IsVisible() )
	{
		m_wndItem.FrameMove( pMani );
		m_wndMagic.FrameMove( pMani );
		m_wndEquip.FrameMove( pMani );
		m_wndStatus.FrameMove( pMani );
		m_wndSave.FrameMove( pMani );
		return;
	}

	// 
	if ( pMani->CheckKey( KEY_INPUT_S ) && !m_PartyWnd.IsFocused() )
	{
		// }bv\ɖ߂
		SetVisible( FALSE );
		CGame::GetInstance()->GetCursor()->RemoveAllSelectedPos();
		CGame::GetInstance()->GetCursor()->SetVisible( FALSE );
		CGame::GetInstance()->SetMode( MODE_MAP );
		return;
	}

	// L[ɂ郁j[܂̏
	// JobAbilityMenu 1̃j[̂悤ɓ
	if ( m_JobAbiWnd.IsFocused() )
	{
		int iCurPos = m_JobAbiWnd.GetCurPos();
		// ԉ̃ACeŉL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_DOWN ) && iCurPos == m_JobAbiWnd.GetItemCount() - 1 )
		{
			ChangeFocus( &m_MenuWnd );
			return;
		}
		// ԏ̃ACeŏL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_UP ) && iCurPos == 0 )
		{
			ChangeFocus( &m_MenuWnd );
			m_MenuWnd.SetCurPos( m_MenuWnd.GetItemCount() - 1 );
			return;
		}
	}
	if ( m_MenuWnd.IsFocused() )
	{
		int iCurPos = m_MenuWnd.GetCurPos();
		// ԉ̃ACeŉL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_DOWN ) && iCurPos == m_MenuWnd.GetItemCount() - 1 )
		{
			ChangeFocus( &m_JobAbiWnd );
			m_JobAbiWnd.SetCurPos( 0 );
			return;
		}
		// ԏ̃ACeŏL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_UP ) && iCurPos == 0 )
		{
			ChangeFocus( &m_JobAbiWnd );
			m_JobAbiWnd.SetCurPos( m_JobAbiWnd.GetItemCount() - 1 );
			return;
		}
	}

	// EL[  ݒ  Ej[Ƃs藈
	// Ej[tH[JX L[ꂽ
	if ( m_JobAbiWnd.IsFocused() || m_MenuWnd.IsFocused() )
	{
		if ( pMani->CheckKey( KEY_INPUT_LEFT ) )
		{
			// XgtH[JXۑ
			if (  m_JobAbiWnd.IsFocused() )
				m_pWndLastFocused = &m_JobAbiWnd;
			else
				m_pWndLastFocused = &m_MenuWnd;

			m_FromationWnd.SetVisible( TRUE );
			ChangeFocus( &m_PartyWnd );
		}
	}
	else if ( m_PartyWnd.IsFocused() && m_PartyWnd.GetMode() == CCampPartyWindow::PARTY_WND_MODE_NORMAL )
	{
		if ( pMani->CheckKey( KEY_INPUT_RIGHT ) )
		{
			// j[ɃtH[JX߂
			HideFormationWindow();
		}
	}

	//  EBhE\ `FbN
	SetBgAtFormationMake();

	// ʓIȃj[
	CCoWndManager::FrameMove( pMani );
}
//-----------------------------------------------------------------------------
// HideFormationWindow
//-----------------------------------------------------------------------------
void CCampWindow::HideFormationWindow( void )
{
	m_PartyWnd.SetMode( CCampPartyWindow::PARTY_WND_MODE_NORMAL );

	// p[eBEBhEtH[JX EL[ꂽ
	m_PartyWnd.SetFocus( FALSE );
	m_FromationWnd.SetVisible( FALSE );

	// XgtH[JX
	if ( m_pWndLastFocused == &m_JobAbiWnd )
	{
		ChangeFocus( &m_JobAbiWnd );
	}
	else
	{
		ChangeFocus( &m_MenuWnd );
	}
}

//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CCampWindow::Render( void )
{
	if ( !IsVisible() )
	{
		// ʕ`
		m_wndItem.Render();
		m_wndMagic.Render();
		m_wndEquip.Render();
		m_wndStatus.Render();
		m_wndSave.Render();
		return;
	}
	CCoWndManager::Render();

}
//-----------------------------------------------------------------------------
// 폜
//-----------------------------------------------------------------------------
void CCampWindow::Delete( void )
{
	// ʍ폜
	m_wndItem.Delete();
	m_wndMagic.Delete();
	m_wndEquip.Delete();
	m_wndStatus.Delete();
	m_wndSave.Delete();
}
//-----------------------------------------------------------------------------
// SetVisible
//-----------------------------------------------------------------------------
void CCampWindow::SetVisible( BOOL bFlag )
{
	CCoWndManager::SetVisible( bFlag );

	//  \
	BOOL bShowFlag = ( bFlag && m_PartyWnd.IsFocused() );
	m_FromationWnd.SetVisible( bShowFlag );

	if ( bFlag )
	{
		ChangeFocus( &m_MenuWnd );
	}
}
//-----------------------------------------------------------------------------
// SetBgAtFormationMake
//-----------------------------------------------------------------------------
void CCampWindow::SetBgAtFormationMake( void )
{
	BOOL bFlag = ( !m_FromationWnd.IsVisible() );

	// WuXe[^Xq
	m_JobAbiWnd.SetEnable( bFlag );

	// j[q
	m_MenuWnd.SetEnable( bFlag );

	// vCԉ
	m_TimeWnd.SetEnable( bFlag );

	// \
	m_GillWnd.SetEnable( bFlag );

}
//-----------------------------------------------------------------------------
// L[ʒm
//-----------------------------------------------------------------------------
void CCampWindow::NotifyDecideKey( CFrameWindow *pWnd, int nMenuID )
{
	if ( pWnd == &m_MenuWnd )
	{	// j[EBhE
		switch( nMenuID )
		{
		case CCampMenuWindow::MENU_ID_ITEM:	// ACe
			// 
			SetVisible( FALSE );
			// ACeEBhE\
			m_wndItem.SetVisible( TRUE );
			break;
		default:
			break;
		}
	}
	if ( pWnd == &m_PartyWnd )
	{	// p[eBEBhE (ΏۑI[h)
		m_MenuWnd.UnSelectItem();
		ChangeFocus( &m_MenuWnd );

		switch( m_MenuWnd.GetCurPos() )
		{
		case CCampMenuWindow::MENU_ID_MAGIC:	// @
			// 
			SetVisible( FALSE );
			// @EBhE\
			m_wndMagic.SetSelectedPlayerIndex( m_PartyWnd.GetCurPos() );
			m_wndMagic.SetVisible( TRUE );
			break;

		case CCampMenuWindow::MENU_ID_EQUIP:	// 
			// 
			SetVisible( FALSE );
			// EBhE\
			m_wndEquip.SetSelectedPlayerIndex( m_PartyWnd.GetCurPos() );
			m_wndEquip.SetVisible( TRUE );
			break;

		case CCampMenuWindow::MENU_ID_STATUS:	// Xe[^X
			// 
			SetVisible( FALSE );
			// Xe[^XEBhE\
			m_wndStatus.SetSelectedPlayerIndex( m_PartyWnd.GetCurPos() );
			m_wndStatus.SetVisible( TRUE );
			break;
		}
	}
}
//-----------------------------------------------------------------------------
// LZL[ʒm
//-----------------------------------------------------------------------------
void CCampWindow::NotifyCancelKey( CFrameWindow *pWnd )
{
	if ( pWnd == &m_MenuWnd )
	{	// j[EBhE
		// }bv\ɖ߂
		SetVisible( FALSE );
		CGame::GetInstance()->GetCursor()->RemoveAllSelectedPos();
		CGame::GetInstance()->GetCursor()->SetVisible( FALSE );
		CGame::GetInstance()->SetMode( MODE_MAP );
	}

	if ( pWnd == &m_PartyWnd )
	{	// p[eBEBhE

		// Iԉ
		m_MenuWnd.UnSelectItem();
		HideFormationWindow();
	}
}

//-----------------------------------------------------------------------------
// SelectPartyMemberReq
//-----------------------------------------------------------------------------
void CCampWindow::SelectPartyMemberReq( void )
{
	m_PartyWnd.SetMode( CCampPartyWindow::PARTY_WND_MODE_SELECT_TGT );
	ChangeFocus( &m_PartyWnd );
}
