//=============================================================================
// ItemEquipJobWindow.h
//=============================================================================
#pragma once
#include "MenuWindow.h"

class CItemWindow;
class CEquipItem;
class CManipulator;
//-----------------------------------------------------------------------------
// CItemEquipJobWindow
//-----------------------------------------------------------------------------
class CItemEquipJobWindow : public CMenuWindow
{
protected:
	CItemWindow		*m_pParent;
	CEquipItem		*m_pEuip;

public:
	CItemEquipJobWindow(void);
	virtual ~CItemEquipJobWindow(void);

	void SetVisible( BOOL bFlag );

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CItemWindow *pParent );
	void Render( void );
	void FrameMove( const CManipulator *pMani ); 	// XV

	void SetEquipItem( CEquipItem *pEuip );
};

