//=============================================================================
// ItemMenuWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "ItemMenuWindow.h"
#include "CoWndManager.h"
#include "Manipulator.h"

const stMenuItem ITEM_MENU_ITEM[] = {
	{   CItemMenuWindow::MENU_ID_USE,		TRUE,  25,   8, "", 0, 0 },
	{   CItemMenuWindow::MENU_ID_ORDER,		TRUE,  90,   8, "Ƃ", 0, 0 },
	{   CItemMenuWindow::MENU_ID_IMPORTANT,	TRUE, 165,   8, "Ȃ", 0, 0 },
};
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CItemMenuWindow::CItemMenuWindow(void)
{
	m_nType = MENU_TYPE_HORIZONTAL;	// ^j[
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CItemMenuWindow::~CItemMenuWindow(void)
{
}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CItemMenuWindow::Create( int iPosX, int iPosY, int iWidth, int iHeight, CCoWndManager *pParent )
{
	// eEBhEۑ
	m_pParent = pParent;

	BOOL bRet = CMenuWindow::Create( iPosX, iPosY, iWidth, iHeight );

	// ACeǉ
	for ( int iCnt = 0; iCnt < sizeof( ITEM_MENU_ITEM ) / sizeof( ITEM_MENU_ITEM[0] ); iCnt ++ )
	{
		AddMenuItem( &ITEM_MENU_ITEM[iCnt] );
	}
	return bRet;
}

//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CItemMenuWindow::Render( void )
{
	CMenuWindow::Render();
}
//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CItemMenuWindow::FrameMove( const CManipulator *pMani )
{
	if ( !m_bFocused )
		return;

	CMenuWindow::FrameMove( pMani );

	// LZL[
	if ( pMani->CheckKey( KEY_INPUT_Z ) )
	{
		m_pParent->NotifyCancelKey( this );
	}
	// L[
	else if ( pMani->CheckKey( KEY_INPUT_X ) )
	{
		m_pParent->NotifyDecideKey( this, GetCurPos() );
	}
}
