//=============================================================================
// ItemWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "ItemWindow.h"
#include "CampWindow.h"
#include "PlayerParty.h"
#include "UseItem.h"
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CItemWindow::CItemWindow(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CItemWindow::~CItemWindow(void)
{
}

//-----------------------------------------------------------------------------
// 
//-----------------------------------------------------------------------------
BOOL CItemWindow::Create( CPlayerParty *pPlayerParty, CCampWindow *pParent )
{
	m_pPlayerParty = pPlayerParty;
	m_pCampWnd = pParent;

	// uACev\
	m_TagWnd.Create( 0, 0, 70, 28 );
	m_TagWnd.SetTagName("ACe");
	m_lstCoWindow.push_back( &m_TagWnd );

	// wb_j[
	m_MenuWnd.Create( 70, 0, 250, 28, this );	// ʒm
	m_lstCoWindow.push_back( &m_MenuWnd );

	// ACeڍו\
	m_DescWnd.Create( 0, 28, 320, 45, this );
	m_lstCoWindow.push_back( &m_DescWnd );

	// ACeXg
	m_ListWnd.Create( 0, 73, 320, 167, pPlayerParty, this );
	m_lstCoWindow.push_back( &m_ListWnd );

	// \WuXg
	m_EqJobWnd.Create( 0, 73, 320, 167, this );
	m_lstCoWindow.push_back( &m_EqJobWnd );

	// ACegp^[Qbg
	m_PartyWnd.Create( 0 + 10, 73, 320 - 20, 167, pPlayerParty, this );
	m_lstCoWindow.push_back( &m_PartyWnd );

	return TRUE;
}
//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CItemWindow::FrameMove( const CManipulator *pMani )
{
	if ( !IsVisible() )
		return;

	// ʓIȃj[
	CCoWndManager::FrameMove( pMani );
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CItemWindow::Render( void )
{
	if ( !IsVisible() )
		return;

	CCoWndManager::Render();

}
//-----------------------------------------------------------------------------
// 폜
//-----------------------------------------------------------------------------
void CItemWindow::Delete( void )
{
}
//-----------------------------------------------------------------------------
// L[ʒm
//-----------------------------------------------------------------------------
void CItemWindow::NotifyDecideKey( CFrameWindow *pWnd, int nMenuID )
{
	if ( pWnd == &m_MenuWnd )
	{	// j[EBhE
		switch ( nMenuID )
		{
		case CItemMenuWindow::MENU_ID_USE:			// 
			m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_NORMAL );
			ChangeFocus( &m_ListWnd );
			m_ListWnd.SetCurPos( 0 );
			break;
		case CItemMenuWindow::MENU_ID_ORDER:		// Ƃ
			m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_NORMAL );
			m_pPlayerParty->SortItem();
			m_ListWnd.UpdateDispItem();
			m_MenuWnd.SetCurPos( 0 );
			break;
		case CItemMenuWindow::MENU_ID_IMPORTANT:	// Ȃ
			m_ListWnd.SetCurPos( 0 );
			m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_IMPORTANT );
			m_MenuWnd.SetCurPos( 2 );
			break;
		}
	}
	else if ( pWnd == &m_ListWnd )
	{	// XgEBhE
		stItemInfo *pInfo = m_pPlayerParty->GetItemInfo( nMenuID );
		if ( !pInfo )
			return;	// ACe̖s

		if ( CEquipItem::IsEquipItem( pInfo->pItem->nID ) )
		{	// \WuXg\
			m_EqJobWnd.SetEquipItem( (CEquipItem *)pInfo->pItem );
			m_EqJobWnd.SetVisible( TRUE );
			m_ListWnd.SetVisible( FALSE );
			ChangeFocus( &m_EqJobWnd );
		}
		else
		{	
			if ( CUseItem::GetInstance()->CanUseItem( pInfo->pItem->nID ) )
			{	// ACegpΏۃEBhE\
				m_PartyWnd.SetTargetItem( pInfo->pItem );
				m_PartyWnd.SetVisible( TRUE );
				ChangeFocus( &m_PartyWnd );
			}
		}
	}
	else if ( pWnd == &m_EqJobWnd )
	{	// \WuXg
		m_EqJobWnd.SetVisible( FALSE );
		m_ListWnd.SetVisible( TRUE );
		ChangeFocus( &m_ListWnd );
	}
	else if ( pWnd == &m_PartyWnd )
	{
		// ACegp
		if ( CUseItem::GetInstance()->UseItem( m_PartyWnd.GetTargetItem()->nID, nMenuID ) )
		{	// gp
			int nCount = m_pPlayerParty->RemoveItem( m_PartyWnd.GetTargetItem()->nID );
			if ( nCount == 0 )
			{
				m_PartyWnd.SetVisible( FALSE );
				ChangeFocus( &m_ListWnd );
			}
			m_ListWnd.UpdateDispItem();
		}
	}
}
//-----------------------------------------------------------------------------
// LZL[ʒm
//-----------------------------------------------------------------------------
void CItemWindow::NotifyCancelKey( CFrameWindow *pWnd )
{
	if ( pWnd == &m_MenuWnd )
	{
		SetVisible( FALSE );
		// Lvj[ɖ߂
		m_pCampWnd->SetVisible( TRUE );
	}
	else if ( pWnd == &m_ListWnd )
	{
		ChangeFocus( &m_MenuWnd );
		m_MenuWnd.SetCurPos( 0 );
	}
	else if ( pWnd == &m_PartyWnd )
	{	// ACegpΏێґI  Xg
		m_PartyWnd.SetVisible( FALSE );
		ChangeFocus( &m_ListWnd );
	}
}
//-----------------------------------------------------------------------------
// SetVisible
//-----------------------------------------------------------------------------
void CItemWindow::SetVisible( BOOL bFlag )
{
	CCoWndManager::SetVisible( bFlag );

	if ( bFlag )
	{	// J[\ʒuݒ
		//m_MenuWnd.SetCurPos( 0 );
		m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_NORMAL );
		ChangeFocus( &m_ListWnd );
		m_ListWnd.SetCurPos( 0 );
		m_EqJobWnd.SetVisible( FALSE );
		m_PartyWnd.SetVisible( FALSE );
	}
}
//-----------------------------------------------------------------------------
// GetSelectedItem
//-----------------------------------------------------------------------------
stItemInfo *CItemWindow::GetSelectedItem( void ) const
{
	// ToDo:
	if ( m_ListWnd.GetItemListMode() == CItemListWindow::ITEM_LIST_MODE_IMPORTANT )
		return NULL;

	if ( !m_ListWnd.IsFocused() && !m_EqJobWnd.IsFocused() )
		return NULL;

	// I𒆂̃ACe擾
	int nIndex = m_ListWnd.GetCurPos() + m_ListWnd.GetTopItemIndex();

	return m_pPlayerParty->GetItemInfo( nIndex );
}
