//=============================================================================
// MagicWindow.h
//=============================================================================
#pragma once
#include <assert.h>
#include "cowndmanager.h"
#include "TagWindow.h"
#include "MagicMainTypeMenuWindow.h"
#include "MagicSubTypeMenuWindow.h"
#include "MagicCharWindow.h"
#include "MagicListWindow.h"
#include "MagicDescWindow.h"

class CPlayerParty;
class CManipulator;
class CCampWindow;
//-----------------------------------------------------------------------------
// CMagicWindow
//-----------------------------------------------------------------------------
class CMagicWindow : public CCoWndManager
{
private:
	BOOL Create( void ){ assert(0); return FALSE;	};	// don't use

protected:
	CPlayerParty				*m_pPlayerParty;// v[p[eB
	CCampWindow					*m_pCampWnd;	// eEBhE
	int							m_nSelPlayer;	// Iꂽv[

	// qEBhE
	CTagWindow					m_TagWnd;		// ܂ق \
	CMagicMainTypeMenuWindow	m_MenuMWnd;		// //
	CMagicSubTypeMenuWindow		m_MenuSWnd;		// /@/
	CMagicCharWindow			m_CharWnd;		// LN^Xe[^X
	CMagicListWindow			m_ListWnd;		// @Xg
	CMagicDescWindow			m_DescWnd;		// ڍ

public:
	CMagicWindow(void);
	virtual ~CMagicWindow(void);

	BOOL IsMenu( void ) const	// j[邩
	{	return TRUE;	};

	void SetVisible( BOOL bFlag );

	// IL
	void SetSelectedPlayerIndex( int nIndex )
	{	m_nSelPlayer = nIndex;	};

	int GetSelectedPlayerIndex( void ) const
	{	return m_nSelPlayer;	};

	BOOL Create( CPlayerParty *pPlayerParty, CCampWindow *pParent );	// 
	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );		// `
	void Delete( void );		// j

	// qEBhẼj[ʒm
	void NotifyDecideKey( CFrameWindow *pWnd, int nMenuID );
	// qEBhẼLZ{^ʒm
	void NotifyCancelKey( CFrameWindow *pWnd );
};
