//=============================================================================
// MapConst.h
//=============================================================================
#pragma once

const int MAP_CHIP_SIZE = 16;	// }bv`bvTCY
const int TILE_COUNT_X = 21;	// 1ʓ`bv 
const int TILE_COUNT_Y = 15;	// 1ʓ`bv o

// }bv`bv
const int MAP_CHIP_GRAPH_MAX		= 12;
const int MAP_CHIP_ID[MAP_CHIP_GRAPH_MAX] = {
	     1,
	 10001,
	 10002,
	 10003,
	 10004,
	 10005,
	800001,	// 
	800002,	// 
	800003,	// 
	900001,	// tB[h
	900003,	// 
	900005,	// 
};

// Aj[V`bv
typedef struct {
	int nChipID;
	int	nChipNo;
	int nAniType;
}stAniChipInfo;

const stAniChipInfo ANI_CHIP_INFO[] = 
{
	{900001, 1, 0},			// C
};
const int MAX_ANIMATION_CHIP = sizeof(ANI_CHIP_INFO) / sizeof(ANI_CHIP_INFO[0]);
const int CHIP_ANIMATION_FRAME = 16*16;	// 16R}


// [h}bvID
const int MAP_ID_WORLD = 2;

enum {
	LAYER_0 = 0,// 
	LAYER_1,	// i
	LAYER_2,	// i
	LAYER_FLAG,	// ʍstO
	LAYER_OBJ,	// zuIuWFNg
	LAYER_EVT,	// Cxg
	LAYER_MAX
};
const int LAYER_CHIP_MAX = 3;	// \`bvƂẴC
const int CHIP_MAX_X	= 20;
const int CHIP_MAX_Y	= 30;

const int SCREEN_CENTER_TILE_X = 10;
const int SCREEN_CENTER_TILE_Y = 7;
const int SCREEN_CENTER_TILE_PIXEL_X = 168;
const int SCREEN_CENTER_TILE_PIXEL_Y = 128;

const int SCROLL_STOP_TILE_MARGINE_H	= 0;	// 荶/E̓XN[Ȃ
const int SCROLL_STOP_TILE_MARGINE_V	= 0;	// /̓XN[Ȃ


// Platinum
typedef struct tag_FMFHeader {
	DWORD	dwIdentifier;	// t@Cʎq 'FMF_'
	DWORD	dwSize;			// wb_f[^TCY
	DWORD	dwWidth;		// }bv̉
	DWORD	dwHeight;		// }bv̍
	BYTE	byChipWidth;	// }bv`bv1̕(pixel)
	BYTE	byChipHeight;	// }bv`bvP̍(pixel)
	BYTE	byLayerCount;	// C[̐
	BYTE	byBitCount;		// Cf[^̃rbgJEg
} FMFHEADER;

// }bv؂ւv
typedef struct {
	int nMapID;				// }bvID
	int nLocX;				// ʒu X
	int nLocY;				// ʒu Y
	int nPlayerDir;			// v[
} stMapChangeReqParam;

// }bv؂ւv
typedef struct {
	int nDirection;			// 
	int nSpeed;				// x
} stMapMoveReqParam;

// }bvIuWFNgړv
class CMapObject;
typedef struct {
	CMapObject	*pMapObj;	// Ώۃ}bvIuWFNg
	int nDirection;			// 
	int nSpeed;				// x
} stMapObjMoveReqParam;

enum {
	SCROLL_SPEED_WALK	= 0,	// 
	SCROLL_SPEED_DASH,			// 
	SCROLL_SPEED_CHOKOBO		// `R{
};

// ʍstO
enum {	// (MapChipԍ)
	PASS_FLAG_NONE	= 0,		// ʍs
	PASS_FLAG_NO_ENTRY = 1,		// ʍss
	PASS_FLAG_COUNTER  = 769,	// ʍss/b
};


// }bvIuWFNg ID
enum {
	MAP_OBJECT_INVALID_ID	= 0,	// ID
};
// }bvIuWFNg^Cv
enum {
	MAP_OBJECT_TYPE_NPC = 0,	// NPC
	MAP_OBJECT_TYPE_STORE,		// X
	MAP_OBJECT_TYPE_FLOOR,		// 
	MAP_OBJECT_TYPE_STABLE,		// zuIuWFNg(/tB[hACec)
};
// }bvIuWFNgړ^Cv
enum {
	MOVE_TYPE_RANDOM = 0,		// _
	MOVE_TYPE_FIXED,			// Œ
};

// }bvIuWFNgړpx
enum {
	MOVE_FREQ_LOW = 0,		// px
	MOVE_FREQ_NORMAL,		// ʏ
	MOVE_FREQ_HIGH,			// px
};
// }bvIuWFNgړx
enum {
	MOVE_SPEED_LOW = 0,		// ᑬ
	MOVE_SPEED_NORMAL,		// ʏ
	MOVE_SPEED_HIGH,		// 
};
// }bvIuWFNgAj[Vx
enum {
	ANI_SPEED_LOW = 0,		// ᑬ
	ANI_SPEED_NORMAL,		// ʏ
	ANI_SPEED_HIGH,			// 
};


// XNvgN
enum {
	MAP_SCRIPT_TRIGER_NONE = 0,	// `
	MAP_SCRIPT_TRIGER_BUTTON,	// N{^
	MAP_SCRIPT_TRIGER_ADJOINING,// א
	MAP_SCRIPT_TRIGER_PLAYER_ON,// ɏ
};