//=============================================================================
// StoreAmountWindow.h
//=============================================================================
#pragma once
#include "MenuWindow.h"

class CStoreWindow;
class CPlayerParty;
class CItem;
//-----------------------------------------------------------------------------
// CStoreAmountWindow
//-----------------------------------------------------------------------------
class CStoreAmountWindow :	public CMenuWindow
{
public:
	enum{
		MODE_BUY = 0,	// 
		MODE_SELL,		// 
	};
protected:
	int					m_nMode;

	CStoreWindow		*m_pParent;
	CPlayerParty		*m_pPlayerParty;// v[p[eB (Q)

	CItem				*m_pItem;		// ΏۃACe
	int					m_nRate;		// i(%)
	int					m_nCount;		// 
	int					m_nHavingCount;	// Ă鐔
	int					m_nEquipCount;	// Ă鐔

public:
	CStoreAmountWindow(void);
	virtual ~CStoreAmountWindow(void);

	int GetMode( void ) const
	{	return m_nMode;	};
	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty, CStoreWindow *pParent );

	void FrameMove( const CManipulator *pMani );
	void Render( void );
	void SetTargetItem( int nMode, CItem *pItem, int nRate );
	
	CItem *GetTargetItem( void ) const
	{	return m_pItem;	};

	int GetCount( void ) const
	{	return m_nCount;	};

};

