//=============================================================================
// TagWindow.h
//=============================================================================
#pragma once
#include "framewindow.h"

//-----------------------------------------------------------------------------
// CTagWindow
//-----------------------------------------------------------------------------
class CTagWindow : public CFrameWindow
{
protected:
	char	m_szTagName[64];
	int		m_nMarginX;
	int		m_nMarginY;

public:
	CTagWindow(void);
	virtual ~CTagWindow(void);

	BOOL IsMenu( void ) const
	{	return FALSE;	};

	// \XV
	void SetTagName( const char *lpzTag );

	void SetLeftMargin( int nMargin )
	{	m_nMarginX = nMargin;	};
	void SetTopMargin( int nMargin )
	{	m_nMarginY = nMargin;	};

	// `
	void Render( void );
};

